import "./tasks/fastp.wdl" as fastp
import "./tasks/teprof_s1.wdl" as teprof_s1

workflow {{ project_name }} {
    String sample_id
    File fastq1
    File fastq2
    String disk_size

    String fastp_docker
    String fastp_cluster
    String adapter_sequence
    String adapter_sequence_r2
    String umi_loc
    Int trim_front1
    Int trim_tail1
    Int max_len1
    Int trim_front2
    Int trim_tail2
    Int max_len2
    Int disable_adapter_trimming
    Int length_required
    Int umi_len
    Int UMI
    Int qualified_quality_phred
    Int length_required1
    Int disable_quality_filtering

    File STAR_INDEX_DIR
    String teprof_docker
    String teprof_cluster

        call fastp.fastp as fastp {
                input:
                read1=fastq1,
                read2=fastq2,
                sample_id=sample_id,
                docker=fastp_docker,
                cluster=fastp_cluster,
                disk_size=disk_size,
                adapter_sequence=adapter_sequence,
                adapter_sequence_r2=adapter_sequence_r2,
                umi_loc=umi_loc,
                trim_front1=trim_front1,
                trim_tail1=trim_tail1,
                max_len1=max_len1,
                trim_front2=trim_front2,
                trim_tail2=trim_tail2,
                max_len2=max_len2,
                disable_adapter_trimming=disable_adapter_trimming,
                length_required=length_required,
                umi_len=umi_len,
                UMI=UMI,
                qualified_quality_phred=qualified_quality_phred,
                length_required1=length_required1,
                disable_quality_filtering=disable_quality_filtering
        }

        call teprof_s1.teprof_s1 as teprof_s1 {
                input:
                sample_id=sample_id,
                fastq1=fastp.Trim_R1,
                fastq2=fastp.Trim_R2,
                STAR_INDEX_DIR=STAR_INDEX_DIR,
                disk_size=disk_size,
                docker=teprof_docker,
                cluster=teprof_cluster
        }



}	
